#import "CommandController.h"

@implementation CommandController

- (void)activate
{
	USBMLog("");
}

- (IBAction)clearLog:(id)sender
{
	USBMXClearNSTextView(logConsole);
	USBMXAppendNSTextView(logConsole,
		@"\t 0\t 1\t 2\t 3\t 4\t 5\t 6\t 7\n\t--\t--\t--\t--\t--\t--\t--\t--\n");
}

- (IBAction)sendCommand:(id)sender
{
	u_char cmd[8];
	u_char res[8];
	cmd[0] = USBMXIntegerFromHexNSString([cmd0 stringValue]);
	cmd[1] = USBMXIntegerFromHexNSString([cmd1 stringValue]);
	cmd[2] = USBMXIntegerFromHexNSString([cmd2 stringValue]);
	cmd[3] = USBMXIntegerFromHexNSString([cmd3 stringValue]);
	cmd[4] = USBMXIntegerFromHexNSString([cmd4 stringValue]);
	cmd[5] = USBMXIntegerFromHexNSString([cmd5 stringValue]);
	cmd[6] = USBMXIntegerFromHexNSString([cmd6 stringValue]);
	cmd[7] = USBMXIntegerFromHexNSString([cmd7 stringValue]);
	[[controller selectedDevice] command:cmd response:res];
	[res0 setStringValue:USBMXNSStringFromHexInteger(res[0])];
	[res1 setStringValue:USBMXNSStringFromHexInteger(res[1])];
	[res2 setStringValue:USBMXNSStringFromHexInteger(res[2])];
	[res3 setStringValue:USBMXNSStringFromHexInteger(res[3])];
	[res4 setStringValue:USBMXNSStringFromHexInteger(res[4])];
	[res5 setStringValue:USBMXNSStringFromHexInteger(res[5])];
	[res6 setStringValue:USBMXNSStringFromHexInteger(res[6])];
	[res7 setStringValue:USBMXNSStringFromHexInteger(res[7])];
	
	USBMXAppendNSTextView(logConsole,
		[NSString stringWithFormat:
			@">>\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\n\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\t%02x\n",
			cmd[0],
			cmd[1],
			cmd[2],
			cmd[3],
			cmd[4],
			cmd[5],
			cmd[6],
			cmd[7],
			res[0],
			res[1],
			res[2],
			res[3],
			res[4],
			res[5],
			res[6],
			res[7]]
		);
}

@end
