#import "USBMXHex8Formatter.h"
#import "USBMXMisc.h"

@implementation USBMXHex8Formatter

- (BOOL)getObjectValue:(id *)obj forString:(NSString *)string errorDescription:(NSString **)error
{
	unsigned int intValue = USBMXIntegerFromHexNSString(string);
	*obj = [NSNumber numberWithUnsignedInt:intValue & 0xFF];
	return YES;
}

//- (NSAttributedString *)attributedStringForObjectValue:(id)anObject withDefaultAttributes:(NSDictionary *)attributes
//{
//	return nil;
//}

- (NSString *)editingStringForObjectValue:(id)obj
{
	return USBMXNSStringFromHexInteger([obj intValue]);
}

- (NSString *)stringForObjectValue:(id)obj
{
	return USBMXNSStringFromHexInteger([obj intValue]);
}

@end
