#import "IOController.h"
#import "USBGUIController.h"
#import "USBMXMisc.h"

@implementation IOController

- (void)activate
{
	USBMLog("");
	[portA setValue:[[controller selectedDevice] A]];
	[portB setValue:[[controller selectedDevice] B]];
}

- (int)sync
{
	if([portA ioMode] == 0) { //input
		[portA setValue:[[[controller selectedDevice] inputA] A]];
	} else {
		[[[controller selectedDevice] outputA] setA:[portA value]];
	}

	if([portB ioMode] == 0) { //input
		[portB setValue:[[[controller selectedDevice] inputB] B]];
	} else {
		[[[controller selectedDevice] outputB] setB:[portB value]];
	}
	return 0;
}

@end
