#import <Cocoa/Cocoa.h>
#import "USBGUIController.h"
#import "USBMXMisc.h"

@interface IOPortController : NSObject
{
	int value;
	int ioMode;
    IBOutlet id bit0;
    IBOutlet id bit1;
    IBOutlet id bit2;
    IBOutlet id bit3;
    IBOutlet id bit4;
    IBOutlet id bit5;
    IBOutlet id bit6;
    IBOutlet id bit7;
    IBOutlet IOController* controller;
    IBOutlet id ioSelect;
}

- (int)ioMode;
- (IBAction)setIO:(id)sender;
- (IBAction)updateValue:(id)sender;
- (IBAction)sync:(id)sender;

- (int)value;
- (void)setValue:(int)v;
- (void)setValueAndSync:(int)v;

@end
