#import "LCDController.h"

@implementation LCDController

- (void)activate
{
	USBMLog("");
}

- (IBAction)initLCD:(id)sender
{
	u_char rw = USBMXIntegerFromHexNSString([rw_field stringValue]);
	u_char rs = USBMXIntegerFromHexNSString([rs_field stringValue]);
	u_char port = USBMXIntegerFromHexNSString([port_field stringValue]);
	u_char e = USBMXIntegerFromHexNSString([e_field stringValue]);
	[[controller selectedDevice] initLCDWithRW:rw RS:rs port:port E:e];
}

- (IBAction)sendCommand:(id)sender
{
	u_char cmd = USBMXIntegerFromHexNSString([commandField stringValue]);
	[[controller selectedDevice] LCDCommand:cmd];
}

- (IBAction)sendData:(id)sender
{
	u_char data = USBMXIntegerFromHexNSString([dataField stringValue]);
	[[controller selectedDevice] LCDData:data];
}

- (IBAction)sendString:(id)sender
{
	const char *s = [[stringField stringValue] cString];
	[[controller selectedDevice] LCDString:s];
}

@end
